Summary: A Mail Virus Scanner
Name: amavis-perl
Version: 11
Release: 5
URL: http://www.amavis.org
Source: http://www.amavis.org/dist/perl/%{name}-%{version}.tar.gz
Patch0: amavis-perl-11.Archive-Tar.patch
Copyright: GPL
Group: System Environment/Daemons
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: postfix arc zoo unarj unrar bzip2 lha ncompress perl 

%description
A Mail Virus Scanner for Linux and other UN*X based platforms.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=/usr --enable-postfix --enable-smtp --with-warnrecip --with-logdir=/var/log/amavis --enable-all
make

%install
rm -rf ${RPM_BUILD_ROOT}
make install prefix="${RPM_BUILD_ROOT}/usr"
mkdir -p ${RPM_BUILD_ROOT}/var/amavis
mkdir ${RPM_BUILD_ROOT}/var/virusmails
chown vscan ${RPM_BUILD_ROOT}/var/amavis
chown vscan ${RPM_BUILD_ROOT}/var/virusmails


%files
%defattr(-,vscan,vscan)
/var/amavis
/var/virusmails
/usr/sbin/amavis
%doc AUTHORS COPYING README BUGS FAQ ChangeLog HINTS INSTALL NEWS README.* TODO
%doc doc/*

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ ! `grep  vscan /etc/passwd` ]; then
useradd vscan -d /var/amavis -s /bin/false -c "Amavis AntiVirus User"
fi

%post
more <<EOF
Congratulations. You successfully installed amavis-perl for Postfix on this 
machine. 

You still need to configure some parts:
Add the emailusers 
\"virusalert\"  and \"postfix\"
to your /etc/postfix/aliases file and redirect the mails to your root user (or anybody else).
Configure Postfix to use amavis. The following is quoted from the amavis 
Documentation README.postfix:
  Configuring postfix is very simple in this scenario:

  * add

     content_filter = vscan:

     to /etc/postfix/main.cf

  * add

     vscan  unix  -       n       n       -       10     pipe user=vscan\\
       argv=/usr/sbin/amavis \${sender} \${recipient}
     localhost:10025     inet  n      -      n      -      -      smtpd\\
       -o content_filter=

    to /etc/postfix/master.cf.

Have Fun!
EOF

%postun
userdel vscan

%changelog
* Mon Nov 11 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Included code for all virus scanners

* Tue Oct 22 2002 Ralf Spenneberg <ralf@spenneberg.de>
- Fixed a bug in Amavis handling tar archives
- Updated to RedHat 8.0

* Wed Feb 06 2002 Ralf Spenneberg <ralf@spenneberg.de>
- claryfied the congratulation message

* Mon Jan 21 2002 Ralf Spenneberg <ralf@spenneberg.de>
- initial Amavis-perl release
